| Home | Libraries | People | FAQ | More

## Function template after

boost::xpressive::after — Look-behind assertion.

## Synopsis

    template<typename Xpr> unspecified after(Xpr const & xpr);

## Description

after(xpr) succeeds if the xpr sub-expression would match at the current position minus N in the sequence, where N is the width of xpr. xpr is not included in the match. For instance, after("foo") succeeds if we are after a "foo". Look-behind assertions can be negated with the bit-complement operator.

Parameters:

`xpr` | The sub-expression to put in the look-ahead assertion.

Requires: | xpr cannot match a variable number of characters.
Notes: | after(xpr) is equivalent to the perl (?<=...) extension. ~after(xpr) is a negative look-behind assertion, equivalent to the perl (?<!...) extension.

| Copyright © 2003, 2004 Eric Niebler